%define name smeserver-qmHandle
Name: %{name}
%define version 1.4
%define release 27
Version: %{version}
Release: %{release}%{?dist}
BuildArch:     noarch
License:       GPL 
Group:         Networking/Info
Summary:       adds a panel for managing the Qmail queues using qmHandle
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Source: %{name}-%{version}.tar.xz

Obsoletes:     qmHandle
Obsoletes:     e-smith-qmail-view
Obsoletes:     e-smith-qmHandle
Obsoletes:     smeserver-saco-qmHandle
Provides:      smeserver-qmHandle 
Requires: smeserver-base  
Requires: smeserver-lib  
Requires:      perl  
Requires:      smeserver-release >= 10
BuildRequires: smeserver-devtools

AutoReqProv: no

%description
A panel for managing the Qmail queues using qmHandle
(http://sourceforge.net/projects/qmhandle)

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 1.4-27.sme
- Fix e-smith references in smeserver-qmHandle [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 1.4-26.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Fri Mar 01 2024 Brian Read <brianr@koozali.org> 1.4-25.sme
- Edit Menu entry to conform to new arrangements [SME: 12493]

* Fri Nov 11 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.4-24.sme
- apply locale 2022-11-11 patch

* Mon Sep 26 2022 Trevor Batley <trevor@batley.id.au> 1.4-23.sme
- add in missing lexicons for bz12160 [SME: 12160]

* Thu Sep 22 2022 bunkobugsy <vasarhelyizsolt@hotmail.com> 1.4-22.sme
- fix to put email message in textare [SME: 12147] 

* Wed Sep 21 2022 Trevor Batley <trevor@batley.id.au> 1.4-21.sme
- Mojo (sm2) patches to match bugs 12151 and 12147 [SME: 12160]

* Thu Aug 18 2022 John Crisp <jcrisp@safeandsoundit.co.uk> 1.4-20.sme
- Enhance message deletion [SME: 12151]

* Thu Aug 18 2022 John Crisp <jcrisp@safeandsoundit.co.uk> 1.4-19.sme
- Tidy formatting [SME: 12151]

* Thu Aug 18 2022 John Crisp <jcrisp@safeandsoundit.co.uk> 1.4-18.sme
- Add systemd Capability to qmHandle [SME: 12148]

* Fri Jan 07 2022 Brian Read <brianr@bjsystems.co.uk> 1.4-17.sme
- Add-module-class-to-ep-file [SME: 11832]

* Mon Aug 23 2021 Terry Fage <terry.fage@gmail.com> 1.4-16.sme
- apply locale 2021-08-23 patch

* Sat May 29 2021 Michel Begue <mab974@gmail.com> 1.4-15.sme
- first use with smeserver-manager [SME: 11600]

* Tue Feb 23 2021 Jean-Philipe Pialasse <tests@pialasse.com> 1.4-14.sme
- add update event [SME: 11035]

* Tue Oct 13 2020 Brian Read <brianr@bjsystems.co.uk> 1.4-13.sme
- Initial import to SME10 tree [SME: 11035]

* Sat Dec 07 2019 SME Translation Server <translations@contribs.org> 1.4-12.sme
- apply locale 2019-12-07 patch

* Fri Oct 27 2017 Jean-Philipe Pialasse <tests@pialasse.com> 1.4-11.sme
- fix changelog  [SME: 10449]

* Mon Jul 10 2017 Jean-Philipe Pialasse <tests@pialasse.com> 1.4-9.sme
- add panel support for altqmail [SME: 10380]
- if altqmail config db key is present the menus are added to control altqmail

* Mon Jul 10 2017 Jean-Philipe Pialasse <tests@pialasse.com> 1.4-7.sme
- add command line support for alqmail and fix conflict with stopping qmail [SME: 10379]

* Thu Mar 17 2016 JP Pialasse <tests@pialasse.com> 1.4-6.sme
- fix XML error in german translation [SME: 9041]
- patch fixed and pootle entries

* Wed Mar 09 2016 JP Pialasse <tests@pialasse.com> 1.4-5.sme
- apply locale 2016-03-09 patch

* Sun Jul 14 2013 JP Pialasse <tests@pialasse.com> 1.4-4.sme
- apply locale 2013-07-14 patch

* Fri Aug 31 2012 JP Pialasse <tests@pialasse.com> 1.4-3.sme
- fix path of sv

* Thu Aug 30 2012 JP Pialasse <tests@pialasse.com> 1.4-2.sme
- fix buildrequires and import in buildsys

* Thu Aug 23 2012 JP Pialasse <tests@pialasse.com> 1.4-1.sme
- Initial release

%prep
%setup

mkdir -p root/etc/e-smith/events/smeserver-qmHandle-update

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT

(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f e-smith-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist

%defattr(-,root,root)
%attr(4750 root admin) "/etc/e-smith/web/functions/qmh"
%attr(0755 root root) "/usr/bin/qmHandle"

%pre

%post -p /bin/sh

#/etc/e-smith/events/actions/navigation-conf >/dev/null 2>&1

if (systemctl list-unit-files |grep smanager) then
  echo "Smanager restart in spec file"
  /sbin/e-smith/signal-event smanager-refresh;
fi


%preun

%postun -p /bin/sh
#/etc/e-smith/events/actions/navigation-conf >/dev/null 2>&1
